%{?nodejs_find_provides_and_requires}

%global packagename es5-ext
%global enable_tests 0
# tests disabled due to missing npm(tad) test suite

Name:		nodejs-es5-ext
Version:	0.10.12
Release:	%mkrel 4
Group:          Development/Other
Summary:	ECMAScript 5 extensions and ES6 shims

License:	MIT
URL:		https://github.com/medikoo/es5-ext.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(tad)
%endif

Requires:	nodejs

%description
ECMAScript 5 extensions and ES6 shims


%prep
%setup -q -n package


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js array/ boolean/ date/ error/ function/ \
	iterable/ math/ number/ object reg-exp string   \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%if 0%{?enable_tests}
%{__nodejs} -e 'require("./")'
%{__nodejs} %{nodejs_sitelib}/tad/bin/tad
%else
echo "Tests are disabled..."
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Mon May 04 2020 joequant <joequant> 0.10.12-4.mga8
+ Revision: 1579838
- redo with new requires

* Wed Feb 12 2020 umeabot <umeabot> 0.10.12-3.mga8
+ Revision: 1502600
- Mageia 8 Mass Rebuild
+ pterjan <pterjan>
- Drop ExclusiveArch preventing building this noarch package on aarch64 machines

* Thu Sep 20 2018 umeabot <umeabot> 0.10.12-2.mga7
+ Revision: 1280405
- Mageia 7 Mass Rebuild

* Thu Jul 26 2018 daviddavid <daviddavid> 0.10.12-1.mga7
+ Revision: 1245450
- new version: 0.10.12

* Tue May 17 2016 neoclust <neoclust> 0.10.11-1.mga6
+ Revision: 1016434
- imported package nodejs-es5-ext

